org.apache.fop.util

## Class WriterOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.fop.util.WriterOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Deprecated.
use org.apache.xmlgraphics.util.WriterOutputStream instead

    public class WriterOutputStream
    extends OutputStream

See Also:
  `WriterOutputStream`

### Constructor Summary

Constructors
Constructor and Description
`WriterOutputStream(Writer writer)` Deprecated.
`WriterOutputStream(Writer writer, String encoding)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()` Deprecated.
`void` `flush()` Deprecated.
`void` `write(byte[] buf)` Deprecated.
`void` `write(byte[] buf, int offset, int length)` Deprecated.
`void` `write(int b)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriterOutputStream

    public WriterOutputStream(Writer writer)

Deprecated.

Parameters:
  `writer` - a writer

#### WriterOutputStream

    public WriterOutputStream(Writer writer,
                              String encoding)

Deprecated.

Parameters:
  `writer` - a writer
  `encoding` - stream encoding

### Method Detail

#### close

    public void close()
               throws IOException

Deprecated.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Deprecated.

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] buf,
                      int offset,
                      int length)
               throws IOException

Deprecated.

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] buf)
               throws IOException

Deprecated.

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(int b)
               throws IOException

Deprecated.

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`